import { MpcCommands } from "./commands/mpcCommands";
import { Dictionary } from "./types";
import { IPlayerVariables, AbstactPlayerController } from "./commands/commands";
export declare class MpcControl extends AbstactPlayerController {
    private host;
    private port;
    constructor(host: string, port: number);
    readonly apiHost: string;
    /**
     * @commandId - any supported command from commands/mpcCommands.ts
     * @data - additional data provided in to api call
     */
    execute(commandId: MpcCommands, data?: Dictionary<any>): Promise<any>;
    /**
     * @filePath - path to video file
     */
    openFile(filePath: string): Promise<any>;
    getVariables(): Promise<IPlayerVariables>;
}
